Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - _ -

- _EOF : Lucene::QueryParserConstants
- _ESCAPED_CHAR : Lucene::QueryParserConstants
- _NUM_CHAR : Lucene::QueryParserConstants
- _QUOTED_CHAR : Lucene::QueryParserConstants
- _TERM_CHAR : Lucene::QueryParserConstants
- _TERM_START_CHAR : Lucene::QueryParserConstants
- _WHITESPACE : Lucene::QueryParserConstants

### - a -

- AlreadyClosed : Lucene::LuceneException
- AND : Lucene::QueryParserConstants
- AND_OPERATOR : Lucene::QueryParser

### - b -

- Boost : Lucene::QueryParserConstants
- BYTE : Lucene::FieldScoreQuery

### - c -

- CACHE_BYTE : Lucene::FieldCache
- CACHE_DOUBLE : Lucene::FieldCache
- CACHE_INT : Lucene::FieldCache
- CACHE_LONG : Lucene::FieldCache
- CACHE_STRING : Lucene::FieldCache
- CACHE_STRING_INDEX : Lucene::FieldCache
- CARAT : Lucene::QueryParserConstants
- COLON : Lucene::QueryParserConstants
- Compression : Lucene::LuceneException
- CorruptIndex : Lucene::LuceneException

### - d -

- DATEORDER_DMY : Lucene::DateTools
- DATEORDER_LOCALE : Lucene::DateTools
- DATEORDER_MDY : Lucene::DateTools
- DATEORDER_YMD : Lucene::DateTools
- DEFAULT : Lucene::QueryParserConstants
- DELETES_DYNAMIC : Lucene::CachingWrapperFilter
- DELETES_IGNORE : Lucene::CachingWrapperFilter
- DELETES_RECACHE : Lucene::CachingWrapperFilter
- DOUBLE : Lucene::FieldScoreQuery

### - e -

- EXPECTED : Lucene::FieldCacheSanityChecker

### - f -

- FIELD_OPTION_ALL : Lucene::IndexReader
- FIELD_OPTION_INDEXED : Lucene::IndexReader
- FIELD_OPTION_INDEXED_NO_TERMVECTOR : Lucene::IndexReader
- FIELD_OPTION_INDEXED_WITH_TERMVECTOR : Lucene::IndexReader
- FIELD_OPTION_OMIT_TERM_FREQ_AND_POSITIONS : Lucene::IndexReader
- FIELD_OPTION_STORES_PAYLOADS : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR_WITH_OFFSET : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR_WITH_POSITION : Lucene::IndexReader
- FIELD_OPTION_TERMVECTOR_WITH_POSITION_OFFSET : Lucene::IndexReader
- FIELD_OPTION_UNINDEXED : Lucene::IndexReader
- FieldReader : Lucene::LuceneException
- FileNotFound : Lucene::LuceneException
- FUZZY_SLOP : Lucene::QueryParserConstants

### - i -

- IllegalArgument : Lucene::LuceneException
- IllegalState : Lucene::LuceneException
- INDEX_ANALYZED : Lucene::AbstractField
- INDEX_ANALYZED_NO_NORMS : Lucene::AbstractField
- INDEX_NO : Lucene::AbstractField
- INDEX_NOT_ANALYZED : Lucene::AbstractField
- INDEX_NOT_ANALYZED_NO_NORMS : Lucene::AbstractField
- IndexOutOfBounds : Lucene::LuceneException
- INT : Lucene::FieldScoreQuery
- IO : Lucene::LuceneException

### - l -

- LockObtainFailed : Lucene::LuceneException
- LockReleaseFailed : Lucene::LuceneException
- Lookahead : Lucene::LuceneException
- LPAREN : Lucene::QueryParserConstants
- LUCENE_20 : Lucene::LuceneVersion
- LUCENE_21 : Lucene::LuceneVersion
- LUCENE_22 : Lucene::LuceneVersion
- LUCENE_23 : Lucene::LuceneVersion
- LUCENE_24 : Lucene::LuceneVersion
- LUCENE_29 : Lucene::LuceneVersion
- LUCENE_30 : Lucene::LuceneVersion
- LUCENE_CURRENT : Lucene::LuceneVersion

### - m -

- Merge : Lucene::LuceneException
- MergeAborted : Lucene::LuceneException
- MINUS : Lucene::QueryParserConstants
- MUST : Lucene::BooleanClause
- MUST_NOT : Lucene::BooleanClause

### - n -

- NoSuchDirectory : Lucene::LuceneException
- NOT : Lucene::QueryParserConstants
- Null : Lucene::LuceneException
- NullPointer : Lucene::LuceneException
- NUMBER : Lucene::QueryParserConstants
- NumberFormat : Lucene::LuceneException

### - o -

- OR : Lucene::QueryParserConstants
- OR_OPERATOR : Lucene::QueryParser
- OutOfMemory : Lucene::LuceneException

### - p -

- Parse : Lucene::LuceneException
- PLUS : Lucene::QueryParserConstants
- PREFIXTERM : Lucene::QueryParserConstants

### - q -

- QueryParser : Lucene::LuceneException
- QUOTED : Lucene::QueryParserConstants

### - r -

- RangeEx : Lucene::QueryParserConstants
- RANGEEX_END : Lucene::QueryParserConstants
- RANGEEX_GOOP : Lucene::QueryParserConstants
- RANGEEX_QUOTED : Lucene::QueryParserConstants
- RANGEEX_START : Lucene::QueryParserConstants
- RANGEEX_TO : Lucene::QueryParserConstants
- RangeIn : Lucene::QueryParserConstants
- RANGEIN_END : Lucene::QueryParserConstants
- RANGEIN_GOOP : Lucene::QueryParserConstants
- RANGEIN_QUOTED : Lucene::QueryParserConstants
- RANGEIN_START : Lucene::QueryParserConstants
- RANGEIN_TO : Lucene::QueryParserConstants
- RESOLUTION_DAY : Lucene::DateTools
- RESOLUTION_HOUR : Lucene::DateTools
- RESOLUTION_MILLISECOND : Lucene::DateTools
- RESOLUTION_MINUTE : Lucene::DateTools
- RESOLUTION_MONTH : Lucene::DateTools
- RESOLUTION_NULL : Lucene::DateTools
- RESOLUTION_SECOND : Lucene::DateTools
- RESOLUTION_YEAR : Lucene::DateTools
- RPAREN : Lucene::QueryParserConstants
- Runtime : Lucene::LuceneException

### - s -

- SELECTOR_LAZY_LOAD : Lucene::FieldSelector
- SELECTOR_LOAD : Lucene::FieldSelector
- SELECTOR_LOAD_AND_BREAK : Lucene::FieldSelector
- SELECTOR_NO_LOAD : Lucene::FieldSelector
- SELECTOR_NULL : Lucene::FieldSelector
- SELECTOR_SIZE : Lucene::FieldSelector
- SELECTOR_SIZE_AND_BREAK : Lucene::FieldSelector
- SHOULD : Lucene::BooleanClause
- StaleReader : Lucene::LuceneException
- STAR : Lucene::QueryParserConstants
- StopFillCache : Lucene::LuceneException
- STORE_NO : Lucene::AbstractField
- STORE_YES : Lucene::AbstractField
- SUBREADER : Lucene::FieldCacheSanityChecker

### - t -

- Temporary : Lucene::LuceneException
- TERM : Lucene::QueryParserConstants
- TERM_VECTOR_NO : Lucene::AbstractField
- TERM_VECTOR_WITH_OFFSETS : Lucene::AbstractField
- TERM_VECTOR_WITH_POSITIONS : Lucene::AbstractField
- TERM_VECTOR_WITH_POSITIONS_OFFSETS : Lucene::AbstractField
- TERM_VECTOR_YES : Lucene::AbstractField
- TimeExceeded : Lucene::LuceneException
- TooManyClauses : Lucene::LuceneException

### - u -

- UnsupportedOperation : Lucene::LuceneException

### - v -

- VALUEMISMATCH : Lucene::FieldCacheSanityChecker

### - w -

- WILDTERM : Lucene::QueryParserConstants

clucene.sourceforge.net